> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hybridbox.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Auth service accounts

> Auth service accounts 端点的生成参考。

# Auth service accounts

Auth service accounts 端点的生成参考。

此生成页面汇总 Auth service accounts 类别中的所有公共 API 操作。

## 端点

* [GET /v1/public/accounts/\{account\_id}/auth/service-accounts](/zh-cn/api/v1/public/accounts/account_id/auth/service-accounts/get) - 列出账户服务账号
* [POST /v1/public/accounts/\{account\_id}/auth/service-accounts](/zh-cn/api/v1/public/accounts/account_id/auth/service-accounts/post) - 创建账户服务账号
* [POST /v1/public/accounts/\{account\_id}/auth/service-accounts/\{service\_account\_id}/rotate](/zh-cn/api/v1/public/accounts/account_id/auth/service-accounts/service_account_id/rotate/post) - 轮换账户服务账号令牌
* [DELETE /v1/public/accounts/\{account\_id}/auth/service-accounts/\{service\_account\_id}](/zh-cn/api/v1/public/accounts/account_id/auth/service-accounts/service_account_id/delete) - 撤销账户服务账号

## 列出账户服务账号

**GET** `/v1/public/accounts/{account_id}/auth/service-accounts`

列出账户服务账号

列出该账户的服务账号。

完整参考: [GET /v1/public/accounts/\{account\_id}/auth/service-accounts](/zh-cn/api/v1/public/accounts/account_id/auth/service-accounts/get)

<Note>
  OpenAPI 参考: `/openapi.zh-cn.json GET /v1/public/accounts/{account_id}/auth/service-accounts`
</Note>

## 创建账户服务账号

**POST** `/v1/public/accounts/{account_id}/auth/service-accounts`

创建账户服务账号

创建服务账号并仅显示一次其令牌。

完整参考: [POST /v1/public/accounts/\{account\_id}/auth/service-accounts](/zh-cn/api/v1/public/accounts/account_id/auth/service-accounts/post)

<Note>
  OpenAPI 参考: `/openapi.zh-cn.json POST /v1/public/accounts/{account_id}/auth/service-accounts`
</Note>

## 轮换账户服务账号令牌

**POST** `/v1/public/accounts/{account_id}/auth/service-accounts/{service_account_id}/rotate`

轮换账户服务账号令牌

轮换服务账号令牌并仅显示一次替换令牌。

完整参考: [POST /v1/public/accounts/\{account\_id}/auth/service-accounts/\{service\_account\_id}/rotate](/zh-cn/api/v1/public/accounts/account_id/auth/service-accounts/service_account_id/rotate/post)

<Note>
  OpenAPI 参考: `/openapi.zh-cn.json POST /v1/public/accounts/{account_id}/auth/service-accounts/{service_account_id}/rotate`
</Note>

## 撤销账户服务账号

**DELETE** `/v1/public/accounts/{account_id}/auth/service-accounts/{service_account_id}`

撤销账户服务账号

撤销服务账号及其有效令牌。

完整参考: [DELETE /v1/public/accounts/\{account\_id}/auth/service-accounts/\{service\_account\_id}](/zh-cn/api/v1/public/accounts/account_id/auth/service-accounts/service_account_id/delete)

<Note>
  OpenAPI 参考: `/openapi.zh-cn.json DELETE /v1/public/accounts/{account_id}/auth/service-accounts/{service_account_id}`
</Note>

<script src="/locale-bridge.js" />
